gi-gtk4-4.0.12: Gtk 4.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Interfaces.StyleProvider

Contents

- Exported types
- Methods
- Signals
  - gtkPrivateChanged

Description

An interface for style information used by `StyleContext`.

See `styleContextAddProvider` and `styleContextAddProviderForDisplay` for adding `GtkStyleProviders`.

GTK uses the `GtkStyleProvider` implementation for CSS in `CssProvider`.

Synopsis

- newtype StyleProvider = StyleProvider (ManagedPtr StyleProvider)
- class (GObject o, IsDescendantOf StyleProvider o) => IsStyleProvider o
- toStyleProvider :: (MonadIO m, IsStyleProvider o) => o -> m StyleProvider
- type StyleProviderGtkPrivateChangedCallback = IO ()
- afterStyleProviderGtkPrivateChanged :: (IsStyleProvider a, MonadIO m) => a -> ((?self :: a) => StyleProviderGtkPrivateChangedCallback) -> m SignalHandlerId
- onStyleProviderGtkPrivateChanged :: (IsStyleProvider a, MonadIO m) => a -> ((?self :: a) => StyleProviderGtkPrivateChangedCallback) -> m SignalHandlerId

# Exported types

newtype StyleProvider Source #

Memory-managed wrapper type.

Constructors

StyleProvider (ManagedPtr StyleProvider) |

#### Instances

Instances details

Eq StyleProvider Source # |
Instance details Defined in GI.Gtk.Interfaces.StyleProvider Methods (==) :: StyleProvider -> StyleProvider -> Bool Source # (/=) :: StyleProvider -> StyleProvider -> Bool Source #
GObject StyleProvider Source # |
Instance details Defined in GI.Gtk.Interfaces.StyleProvider
ManagedPtrNewtype StyleProvider Source # |
Instance details Defined in GI.Gtk.Interfaces.StyleProvider Methods toManagedPtr :: StyleProvider -> ManagedPtr StyleProvider Source #
TypedObject StyleProvider Source # |
Instance details Defined in GI.Gtk.Interfaces.StyleProvider Methods glibType :: IO GType Source #
HasParentTypes StyleProvider Source # |
Instance details Defined in GI.Gtk.Interfaces.StyleProvider
IsGValue (Maybe StyleProvider) Source # | Convert `StyleProvider` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Interfaces.StyleProvider Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe StyleProvider -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe StyleProvider) Source #
type ParentTypes StyleProvider Source # |
Instance details Defined in GI.Gtk.Interfaces.StyleProvider type ParentTypes StyleProvider = '[Object]

class (GObject o, IsDescendantOf StyleProvider o) => IsStyleProvider o Source #

Type class for types which can be safely cast to `StyleProvider`, for instance with `toStyleProvider`.

#### Instances

Instances details

(GObject o, IsDescendantOf StyleProvider o) => IsStyleProvider o Source # |
Instance details Defined in GI.Gtk.Interfaces.StyleProvider

toStyleProvider :: (MonadIO m, IsStyleProvider o) => o -> m StyleProvider Source #

Cast to `StyleProvider`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, notify, notifyByPspec, ref, refSink, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getData, getProperty, getQdata.

#### Setters

setData, setDataFull, setProperty.

# Signals

## gtkPrivateChanged

type StyleProviderGtkPrivateChangedCallback = IO () Source #

No description available in the introspection data.

afterStyleProviderGtkPrivateChanged :: (IsStyleProvider a, MonadIO m) => a -> ((?self :: a) => StyleProviderGtkPrivateChangedCallback) -> m SignalHandlerId Source #

Connect a signal handler for the gtkPrivateChanged signal, to be run after the default handler. When overloading is enabled, this is equivalent to

    after styleProvider #gtkPrivateChanged callback

By default the object invoking the signal is not passed to the callback. If you need to access it, you can use the implit `?self` parameter. Note that this requires activating the `ImplicitParams` GHC extension.

onStyleProviderGtkPrivateChanged :: (IsStyleProvider a, MonadIO m) => a -> ((?self :: a) => StyleProviderGtkPrivateChangedCallback) -> m SignalHandlerId Source #

Connect a signal handler for the gtkPrivateChanged signal, to be run before the default handler. When overloading is enabled, this is equivalent to

    on styleProvider #gtkPrivateChanged callback